@import "../constants/background";
@import "../fonts/fonts";
@import "../constants/colors";

.projects {
  padding: 30px;
  font-family: $main-family-fonts;
  background: $projects-bg;

  &__title {
    margin-bottom: 10px;
    font-weight: $main-fonts-bold;
    font-size: 40px;
    line-height: 44px;
  }

  &__description {
    margin-bottom: 50px;
    font-weight: $main-fonts-normal;
    font-style: italic;
    font-size: 16px;
    line-height: 18px;
  }

  &__content {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;

    &-item {
      position: relative;
      max-width: 300px;
      margin-bottom: 50px;
      border-radius: 5px;
      overflow: hidden;

      &-image {
        width: 100%;

        & img {
          display: block;
          width: 100%;
          height: 100%;
        }
      }

      &-title {
        position: absolute;
        top: -40px;
        left: 0;
        display: block;
        width: 100%;
        padding: 8px 0;
        font-weight: $main-fonts-bold;
        font-size: 16px;
        line-height: 18px;
        color: #fff;
        text-align: center;
        vertical-align: bottom;
        background: rgba(38, 75, 150, 0.7);
        z-index: 2;
      }

      &-description {
        box-sizing: border-box;
        position: absolute;
        left: 0;
        display: block;
        width: 100%;
        padding: 5px 10px;
        font-weight: $main-fonts-normal;
        font-style: italic;
        font-size: 12px;
        line-height: 14px;
        color: #fff;
        text-align: center;
        vertical-align: bottom;
        z-index: 2;

        &--calculator {
          bottom: -70px;
        }

        &--whack {
          bottom: -80px;
        }

        &--fav-films {
          bottom: -50px;
        }

        &--millionaire {
          bottom: -50px;
        }

        &--converter {
          bottom: -50px;
        }

        &--avalist {
          bottom: -50px;
        }

        &--to-do-list {
          bottom: -50px;
        }

        &--elem-skills {
          bottom: -70px;
        }
      }

      &-link-app {
        box-sizing: border-box;
        position: absolute;
        bottom: 0;
        left: -110px;
        display: block;
        padding: 5px 10px;
        font-weight: $main-fonts-normal;
        font-size: 14px;
        line-height: 16px;
        color: #fff;
        text-align: center;
        text-decoration: none;
        background: rgba(38, 75, 150, 1);
        border-top-right-radius: 5px;
        transition: background 2s ease-in;
        z-index: 2;

        &:hover {
          background: rgba(22, 140, 22, 1);
        }
      }

      &-link-gitlab {
        box-sizing: border-box;
        position: absolute;
        bottom: 0;
        right: -120px;
        display: block;
        padding: 5px 10px;
        font-weight: $main-fonts-normal;
        font-size: 14px;
        line-height: 16px;
        color: #fff;
        text-align: center;
        text-decoration: none;
        background: rgba(38, 75, 150, 1);
        border-top-left-radius: 5px;
        transition: background 2s ease-in;
        z-index: 2;

        &:hover {
          background: rgba(22, 140, 22, 1);
        }
      }

      &:hover &-hover-block {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background: rgba(0, 0, 0, 0.8);
        z-index: 1;
        transition: all 0.5s ease-in;
      }

      &:hover &-title{
        top: 30px;
        transition: top 0.5s ease-in;
      }

      &:hover &-description{
        bottom: 35px;
        transition: bottom 0.7s ease-in;

        &--avalist {
          bottom: 55px;
        }

        &--to-do-list {
          bottom: 55px;
        }

        &--fav-films {
          bottom: 55px;
        }

        &--converter {
          bottom: 55px;
        }

        &--millionaire {
          bottom: 55px;
        }
      }

      &:hover &-link-app{
        left: 0;
        transition: left 0.5s ease-in;
      }

      &:hover &-link-gitlab{
        right: 0;
        transition: right 0.5s ease-in;
      }
    }
  }
}